db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Anders Morken <ander...@stud.ntnu.no>
Subject Re: Commit problems after upgrading svn
Date Mon, 12 Mar 2007 19:52:05 GMT
Laura Stewart:
> I upgraded toTortoiseSVN-1.4.3, rebooted.
> I opened a cygwin window, applied a patch, and ran svn status. It worked.
> Since there was a new file added by the patch, I performed svn add.
> Then when I tried to run svn status again, I got this message:
> 
> $ svn stat
> svn: This client is too old to work with working copy 'src\ref';
> please get a newer Subversion client
> 
> Does it mean for me to upgrade cygwin client?

Yes, Subversion changed their working copy format between 1.3 and 1.4,
so if you've touched your working copy with a 1.4 client (such as the
TortoiseSVN you mention) you'll have to use 1.4+ to work with it.

> How do I do that?

Here's an announcement from the cygwin project regarding an updated
package being available for cygwin, so you should be home free if you
can run the cygwin installer/updater:

http://cygwin.com/ml/cygwin-announce/2006-12/msg00004.html

More info on the svn packages available from cygwin:
http://cygwin.com/packages/subversion/

On the front page they link to http://cygwin.com/setup.exe with the text
"Install or update now!", so I figure that one's what you want. I'm not
using cygwin myself, so no guarantees. But good luck. =)

-- 
Anders Morken

My opinions may have changed, but not the fact that I am right!

Mime
View raw message